Package org.globus.gsi.util

# Enum KeyUsage

java.lang.Object
java.lang.Enum<KeyUsage>
org.globus.gsi.util.KeyUsage

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyUsage>`, `java.lang.constant.Constable`

public enum KeyUsage extends Enum<KeyUsage>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRL_SIGN`
`DATA_ENCIPHERMENT`
`DECIPHER_ONLY`
`DIGITAL_SIGNATURE`
`ENCIPHER_ONLY`
`KEY_AGREEMENT`
`KEY_CERTSIGN`
`KEY_ENCIPHERMENT`
`NON_REPUDIATION`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSet(org.bouncycastle.asn1.DERBitString bits)`
`static KeyUsage`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static KeyUsage[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIGITAL_SIGNATURE

public static final KeyUsage DIGITAL_SIGNATURE

### NON_REPUDIATION

public static final KeyUsage NON_REPUDIATION

### KEY_ENCIPHERMENT

public static final KeyUsage KEY_ENCIPHERMENT

### DATA_ENCIPHERMENT

public static final KeyUsage DATA_ENCIPHERMENT

### KEY_AGREEMENT

public static final KeyUsage KEY_AGREEMENT

### KEY_CERTSIGN

public static final KeyUsage KEY_CERTSIGN

### CRL_SIGN

public static final KeyUsage CRL_SIGN

### ENCIPHER_ONLY

public static final KeyUsage ENCIPHER_ONLY

### DECIPHER_ONLY

public static final KeyUsage DECIPHER_ONLY

## Method Details

### values

public static KeyUsage[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static KeyUsage valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isSet

public boolean isSet(org.bouncycastle.asn1.DERBitString bits)